import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import ElementPlus from 'element-plus'
import 'element-plus/lib/theme-chalk/index.css'
import './assets/css/icon.css'
import './assets/font/iconfont.css'
import 'default-passive-events'
import dialogDrag from '/@/assets/js/dialogDrag.js' // 地址就是dialogDrag.js在位置

import * as ElementPlusIconsVue from '@element-plus/icons-vue'


import basicTool from "@tools/basicTool";

// import Antd from 'ant-design-vue';
// import 'ant-design-vue/dist/antd.css';

const app = createApp(App)


app.use(router).use(store).use(dialogDrag).use(ElementPlus, { size: 'small' })

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}

app.config.globalProperties.BASE = basicTool; //全局注册

app.mount('#app')